Subject: [bug#35312] core-update: Handle jar-files with patches

From: swedebugia <[email-masked]>
Date: Thu, 27 Jun 2019 16:15:50 +0200

On 2019-04-18 07:06, Björn Höfling wrote:
> Please review carefully, this is my first work below the gexp-border.
> 
> This patch is the outcome of my question at:
> 
> https://lists.gnu.org/archive/html/guix-devel/2019-04/msg00226.html
> 
> When a jar-file had patches, it was not recognized and wrongly handled
> with "tar xz".
> 
> There is one open question: For patch-and-repack, the flags defaults
> to '("p1"), but for jar-files we would usually need a "p0". That would
> mean for jar-sources with patches, one would need to manually add the
> patch-flags with "p0" to the origin. This is not nice. On the other
> hand, I would not like to override the patch-flags for jar-files to
> always "p0".
> 
> WDYT?
> 
> Björn
> 
This seem to have fallen through the cracks. Can someone with gexp 
knowledge review this?

-- 
Cheers Swedebugia